%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The email filter rules manager for Horde.
Name: ingo-h3
Version: 1.1.3
Release: 2%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/ingo/tarballs/ingo-h3-%{version}.tar.gz
Patch0: ingo-1.1.3-2.filter.patch 
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.1
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
Ingo is an email filter rules manager.  It can generate Sieve and procmail
scripts and upload them to the server (using a timsieved or VFS FTP driver,
respectively).  It can also create and execute IMAP commands to run filter
rules.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/ingo
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/ingo
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/html/horde/ingo/test.php
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/ingo/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/ingo
# Include top-level files by hand
%{contentdir}/html/horde/ingo/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/ingo/js
%{contentdir}/html/horde/ingo/lib
%{contentdir}/html/horde/ingo/locale
%{contentdir}/html/horde/ingo/po
%{contentdir}/html/horde/ingo/scripts
%{contentdir}/html/horde/ingo/templates
%{contentdir}/html/horde/ingo/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/ingo/LICENSE
%doc %{contentdir}/html/horde/ingo/README
%docdir %{contentdir}/html/horde/ingo/docs
%{contentdir}/html/horde/ingo/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/ingo/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/ingo/config/.htaccess
%{contentdir}/html/horde/ingo/config/*.dist
%config %{contentdir}/html/horde/ingo/config/*.php
%config %{contentdir}/html/horde/ingo/config/*.xml

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sun Apr 15 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.3-2
- Update to ingo to correct an issue with filter lists that didn't make it into 
  the current version of ingo.  http://bugs.horde.org/ticket/?id=4618. [SME: 2903]

* Sat Mar 24 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.3-1
- Updated to ingo 1.1.3 [SME:2781]

* Sat Dec 09 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Oct 23 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.2-00sme01
- Re-rolled to ingo 1.1.2
* Sat Sep 9 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.1-00sme01
- Updated to ingo 1.1.1

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.2-02sme01
- Adjust Release tag to our standard format [SME: 70]

* Wed Nov 09 2005 Greg Swallow
- Update to 1.0.2

* Thu Sep 01 2005 Greg Swallow
- [1.0.1-1sme01]
- Initial Release

